/*
Color Theme
#1D333C
#81A188
#CFD4BE
#EEEEE6
#D8C267

Fonts
font-family: 'Montserrat Alternates', sans-serif;
font-family: 'Raleway', sans-serif;
font-family: 'Poiret One', cursive;
*/

body {
	font-family: 'Raleway', sans-serif;
	font-weight: 300;
	color: #1D333C;
}

h1 {
	font-family: 'Poiret One', cursive;
}

h2, h3, h4, h5, h6 {
	font-family: 'Montserrat Alternates', sans-serif;
}

h2 {
	font-size: 1rem;
}

h3 {
	font-size: 1.35rem;
}

h4 {
	font-size: 1.15rem;
}

a, a:hover, a:visited {
	text-decoration: none;
}

a {
	color: #81A188;
}

a:hover, .firstName:hover {
	color: #D8C267;
}

#mainNav a, .alternate-link {
	color: #1D333C;
	background-color: transparent;
}

#mainNav a:hover, .alternate-link:hover {
	color: #81A188;
}

.logo {
	font-family: 'Poiret One', cursive;
	word-spacing: -0.3rem;
}

.firstName {
	font-size: 1.7rem;
	margin-right: 0.3rem;
	color: #1D333C;
}

.lastName {
	font-size: 1.5rem;
	color: #81A188;
}

/*** BOUTON ***/
.btn-ct-dark {
	border-top: 2px solid #1D333C;
	border-bottom: 2px solid #1D333C;
	color: #1D333C;
	padding: 10px;
	margin-top: 20px;
}

.btn-ct-light {
	border-top: 2px solid #CFD4BE;
	border-bottom: 2px solid #CFD4BE;
	color: #EEEEE6;
	padding: 10px;
	margin-top: 20px;
}

.btn-ct-dark:hover, .btn-ct-light:hover {
	background-color: #D8C267;
	border: 2px solid #D8C267;
	color: #1D333C;
	border-radius: 70px;
	font-weight: 600;
}

/*** NAVBAR ***/
#mainNav {
	padding: 0;
}

#mainNav .container {
	max-width: 100%;
}

nav {
	background-color: #EEEEE6;
}

.navbar-toggler {
	border: none;
	background-color: #EEEEE6;
	width: 100%;
}

.navbar-toggler:focus {
	outline: none;
}

.navbar-toggler-icon {
	background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgb(16, 63, 79)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 8h24M4 16h24M4 24h24'/%3E%3C/svg%3E");
}

.navbar-collapse {
	background-color: #EEEEE6;
	width: 100%;
	height: 100%;
}

#mainNav .active {
	color: #81A188;
}

.dropdown-menu {
	text-align: center;
	border: none;
	width: 400px;
	margin: 0 auto;
}

.dropdown-item.active, .dropdown-item:active {
	background-color: transparent;
}

/*** HEADER TITLE ***/
header {
	background-color: #EEEEE6;
}

.header-container {
	margin-top: 80px;
	height: 250px;
	display: flex;
	justify-content: center;
	align-items: center;
	text-align: center;
	padding-left: 10px;
	padding-right: 10px;
}

/*** FOOTER ***/
footer {
	padding-top: 40px;
	padding-bottom: 40px;
}

.footer-titles {
	font-size: 1.7rem;
	font-family: 'Poiret One', cursive;
	text-transform: lowercase;
}

/*** ALL PAGES ***/
.main-sections {
	padding-top: 40px;
	padding-bottom: 40px;
	text-align: center;
}

.section-title {
	font-size: 1.8rem;
	font-weight: 500;
	font-family: 'Montserrat Alternates', sans-serif;
}

.section-darkgreen-bg {
	background-color: #1D333C;
	color: #EEEEE6;
}

.section-darkgreen-bg .section-title {
	color: #81A188;
}

.section-midgreen-bg {
	background-color: #81A188;
	color: #EEEEE6;
}

.section-midgreen-bg .section-title {
	color: #1D333C;
}

.section-palegreen-bg {
	background-color: #CFD4BE;
}

.section-palegreen-bg .section-title {
	color: #81A188;
}

.section-light-bg {
	background-color: #EEEEE6;
}

.section-light-bg .section-title {
	color: #81A188;
}

.section-light-bg h2 {
	color: #D8C267;
}

.section-white-bg .section-title {
	color: #81A188;
}

.section-white-bg h2 {
	color: rgb(250, 247, 237);
}

.section-highlight-bg {
	background-color: #D8C267;
}

.section-highlight-bg .section-title {
	color: #81A188;
}

/*** HOMEPAGE ***/
#section-demande .square-container {
	box-shadow: 0 0 50px #1D333C;
	background-color: #EEEEE6;
	margin: 10px auto;
	max-width: 550px;
	padding: 50px 25px 30px 25px;
	color: #1D333C;
}

#section-demande .fas {
	color: #81A188;
}

#section-offre .circle {
	width: 180px;
	height: 180px;
	border-radius: 50%;
	background-color: #CFD4BE;
	margin: 20px;
	padding: 15px;
	font-size: 1.2rem;
	color: #1D333C;
}

#section-offre .circle:hover {
	box-shadow: 2px 2px 10px 4px #505a4f;
	background-color: #D8C267;
	color: #EEEEE6;
	font-weight: 500;
}

/*** PAGE PROFIL ***/
#section-compétences .square-container {
	box-shadow: 0 0 6px #1D333C;
	background-color: #CFD4BE;
	margin: 10px auto;
	max-width: 200px;
	padding: 50px 25px 30px 25px;
}

#section-compétences .square-container p {
	font-weight: 600;
	color: #81A188;
}

#timeline-section {
	padding-bottom: 40px;
	text-align: center;
}

#timeline-section h2, #timeline-section .section-title {
	text-align: center;
}

.timeline-date {
	font-weight: 600;
	color: #D8C267;
}

.timeline {
	position: relative;
	max-width: 1300px;
	margin: 0 auto;
}

.timeline::after {
	content: '';
	position: absolute;
	width: 6px;
	background-color: #EEEEE6;
	top: 0;
	bottom: 0;
	left: 31px;
	margin-left: -3px;
}

.timeline-container {
	position: relative;
	background-color: inherit;
	width: 100%;
	padding-left: 70px;
	padding-right: 25px;
	margin-bottom: 5px;
}

.timeline-container::after {
	content: '';
	position: absolute;
	width: 20px;
	height: 20px;
	background-color: #EEEEE6;
	border: 4px solid #D8C267;
	top: 15px;
	border-radius: 50%;
	z-index: 1;
}

.timeline-container::before {
	left: 60px;
	border: medium solid white;
	border-width: 10px 10px 10px 0;
	border-color: transparent transparent transparent;
}

.timeline-left::after, .timeline-right::after {
	left: 21px;
}

.timeline-left::before, .timeline-right::before {
	content: " ";
	height: 0;
	position: absolute;
	top: 22px;
	width: 0;
	z-index: 1;
	left: 60px;
	border: medium solid #EEEEE6;
	border-width: 10px 10px 10px 0;
	border-color: transparent #EEEEE6 transparent transparent;
}

.timeline-content {
	padding: 20px 30px;
	background-color: #EEEEE6;
	position: relative;
	border-radius: 6px;
	color: #1D333C;
}

/*** PARALLAX (service & homepage ***/
.img-parallax-1, .img-parallax-2, .img-parallax-3, .img-parallax-4, .img-parallax-5, .img-parallax-6, .img-parallax-7 {
	position: relative;
	opacity: 0.85;
	background-attachment: scroll;
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
}

.img-parallax-1 {
	background-image: url("../img/header/creation.jpg");
	min-height: 300px;
}

.img-parallax-2 {
	background-image: url("../img/header/refonte.jpg");
	min-height: 300px;
}

.img-parallax-3 {
	background-image: url("../img/header/access.jpg");
	min-height: 300px;
}

.img-parallax-4 {
	background-image: url("../img/header/gestion.jpg");
	min-height: 300px;
}

.img-parallax-5 {
	background-image: url("../img/header/homepage.jpg");
	min-height: 300px;
}

.img-parallax-6 {
	background-image: url("../img/header/contact.jpg");
	min-height: 200px;
}


.img-parallax-7 {
	background-image: url("../img/header/hp6.jpg");
	min-height: 300px;
}

.img-parallax-text {
	position: absolute;
	left: 0;
	top: 50%;
	width: 100%;
	text-align: center;
	color: #000;
}

#section-services .square-container {
	position: relative;
	width: 300px;
	height: 300px;
	perspective: 1000px;
}

.square-container-inner {
	position: relative;
	width: 100%;
	height: 100%;
	text-align: center;
	-webkit-transition: transform 0.6s;
	-moz-transition: transform 0.6s;
	-ms-transition: transform 0.6s;
	-o-transition: transform 0.6s;
	transition: transform 0.6s;
	-webkit-transform-style: preserve-3d;
	-moz-transform-style: preserve-3d;
	-ms-transform-style: preserve-3d;
	-o-transform-style: preserve-3d;
	transform-style: preserve-3d;
}

#section-services .square-content {
	position:  absolute;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	padding-left: 7px;
	padding-right: 7px;
}

.square-container:hover .square-container-inner {
	-webkit-transform: rotateY(180deg);
	-moz-transform: rotateY(180deg);
	-ms-transform: rotateY(180deg);
	-o-transform: rotateY(180deg);
	transform: rotateY(180deg);
}

.flip-card-front, .flip-card-back {
	position: absolute;
	width: 100%;
	height: 100%;
	-webkit-backface-visibility: hidden;
	-moz-backface-visibility: hidden;
	-ms-backface-visibility: hidden;
	-o-backface-visibility: hidden;
	backface-visibility: hidden;
}

.flip-card-back {
	-webkit-transform: rotateY(180deg);
	-moz-transform: rotateY(180deg);
	-ms-transform: rotateY(180deg);
	-o-transform: rotateY(180deg);
	transform: rotateY(180deg);
	z-index: 1;
	background-color: #D8C267;
	color: #FFF;
	font-weight: 500;
}

/*** PAGE VOTRE PROJET ***/
#votre-projet-sections i {
	margin-bottom: 40px;
}

.projet-right {
	background-color: #EEEEE6;
	color: #1D333C;
}

.projet-right .section-title {
	color: #81A188;
}

/*** PAGE REALISATIONS ***/
#realisations-sections h3 {
	color: #81A188;
	
}
#realisations-sections h4 {
	color: #D8C267;
}

/*** MEDIA QUIERIES ***/
@media screen and (min-width: 768px) {
	#section-services .square-container {
		position: relative;
		width: 33.33%;
	}
}

@media screen and (min-width: 992px) {
	body {
		background-color: white;
	}
	
	/* MEDIA QUERY NAV */
	nav {
		background-color: white;
		box-shadow: 0 2px 10px 2px #1D333C;
	}

	#mainNav {
		height: 100px;
	}
	
	.navbar-collapse {
		background-color: inherit;
		width: 100%;
	}
	
	.navbar a {
		opacity: 1;
		position: relative;
	}
	
	.navbar li > a::before {
		content: '';
		display: block;
		height: 2px;
		background-color: #81A188;
		position: absolute;
		top: 2.2rem;
		left: 0;
		right: 0;
		transform: scale(0, 1);
		transition: transform ease-in-out 300ms;
	}
	
	.navbar a:hover::before {
		transform: scale(1, 1);
	}
	
	#mainNav .container {
		max-width: 960px;
	}
	
	.dropdown-menu {
		text-align: left;
	}
	
	/* MEDIA QUERY HEADER */
	.header-container {
		height: 300px;
		align-items: flex-end;
	}
	
	.page-title {
		position: relative;
		top: 70px;
		max-width: 70%;
		height: auto;
		min-height: 100px;
		padding: 5px 100px;
		background-color: #EEEEE6;
		border-radius: 80px;
		opacity: 0.9;
		box-shadow: 0 2px 10px 2px #1D333C;
		display: flex;
		justify-content: center;
		align-items: center;
	}
	
	.header-container .lastName {
		font-size: 2.2rem;
		margin-right:0;
	}
	
	.header-container .firstName {
		font-size: 2.5rem;
		margin-left:0;
	}
	
	.header-img {
		background-repeat: no-repeat;
		background-attachment: fixed;
		background-size: cover;
		background-position: center;
		position: relative;
	}
	
	.header-img-hp {
		background-image: url("../img/header/homepage.jpg");
		height: 600px;
	}
	
	.header-img-mp {
		background-image: url("../img/header/profil.jpeg");
		height: 600px;
	}
	
	.header-img-ps {
		background-image: url("../img/header/services.jpg");
		height: 600px;
	}
	
	.header-img-cs {
		background-image: url("../img/header/creation.jpg");
		height: 600px;
	}
	
	.header-img-rs {
		background-image: url("../img/header/refonte.jpg");
		height: 600px;
	}
	
	.header-img-ara {
		background-image: url("../img/header/access.jpg");
		height: 600px;
	}
	
	.header-img-gp {
		background-image: url("../img/header/gestion.jpg");
		height: 600px;
	}
	
	.header-img-vp {
		background-image: url("../img/header/projet.jpg");
		height: 600px;
	}
	
	.header-img-rea {
		background-image: url("../img/header/realisations.jpg");
		height: 600px;
	}
	
	.header-img-ctc {
		background-image: url("../img/header/contact.jpg");
		height: 600px;
	}
	
	.separator {
		height: 20px;
	}
	
	/* MEDIA QUERY MAIN */
	.main-sections {
		padding-top: 60px;
		padding-bottom: 60px;
	}
	
	section p, section ul {
		font-size: 1.1rem;
	}
	
	section:first-child {
		padding-top: 100px;
	}
	
	#section-offre .circle {
		width: 210px;
		height: 210px;
		font-size: 1.4rem;
	}

	/** HOMEPAGE **/ 
	#section-demande .square-container {
		opacity: 0;
	}

	/* Timeline in Mon Profil */
	.timeline::after {
		left: 50%;
	}
	
	.timeline-container {
		padding: 10px 40px;
		width: 50%;
	}
	
	.timeline-container::after {
		width: 25px;
		height: 25px;
	}
	
	.timeline-left {
		left: 0;
	}
	
	.timeline-right {
		left: 50%;
	}
	
	.timeline-right::after {
		left: -13px;
	}
	
	.timeline-left::after {
		right: -12px;
		left: auto;
	}
	
	.timeline-left::before {
		left: auto;
		right: 30px;
		border-width: 10px 0 10px 10px;
		border-color: transparent transparent transparent #EEEEE6;
	}
	
	.timeline-right::before {
		left: 30px;
	}
	
	.timeline-content {
		padding: 20px 30px;
		background-color: #EEEEE6;
		position: relative;
		border-radius: 6px;
	}
	
	/* Icons in Votre Projet */
	#votre-projet-sections i {
		margin-bottom: 0px;
	}
	
	/* Parallax */
	.img-parallax-1, .img-parallax-2, .img-parallax-3, .img-parallax-4, .img-parallax-5, .img-parallax-6, .img-parallax-7 {
		background-attachment: fixed;
	}
	
	#section-services .square-container {
		position: relative;
		width: 25%;
	}
	
	#section-services .square-content {
		padding-left: 17px;
		padding-right: 17px;
	}
}

@media screen and (min-width: 1200px) {
	#mainNav .container {
		max-width: 1140px;
	}
	
}
